For the complete documentation index, see llms.txt. This page is also available as Markdown.

Column

post

Reset column

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
column_idstringRequired
Responses
200

Success: Column reset

application/json
idstring · uuidRequired
table_idstring · uuidRequired
generator_idstring · uuid · nullableOptionalDefault: null
namestringRequired
idxintegerRequired
dtypestringRequired
col_dtypestring · enumRequiredPossible values:
sql_typestringRequired
uniqueboolean · nullableOptionalDefault: null
nullableboolean · nullableOptionalDefault: null
autoincrementboolean · nullableOptionalDefault: null
pii_scanbooleanRequired
has_piiboolean · nullableOptionalDefault: null
has_unprotected_piiboolean · nullableOptionalDefault: null
min_valuestring · nullableOptionalDefault: null
max_valuestring · nullableOptionalDefault: null
cardinality_thresholdinteger · nullableOptionalDefault: null
rare_category_replacementstring · nullableOptionalDefault: null
clip_thresholdinteger · nullableOptionalDefault: null
localestring · nullableOptionalDefault: null
pii_mock_replaceboolean · nullableOptionalDefault: null
pii_deselected_entitiesstring[] · nullableOptionalDefault: null
generator_configone of · nullableOptionalDefault: null
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
default_generator_configone of · nullableOptionalDefault: null
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
is_rejectedboolean · nullableOptionalDefault: null
is_keyboolean · nullableOptionalDefault: null
is_pkboolean · nullableOptionalDefault: null
is_fkboolean · nullableOptionalDefault: null
is_ukboolean · nullableOptionalDefault: null
is_referredboolean · nullableOptionalDefault: null
database_exclude_from_writeboolean · nullableOptionalDefault: null
sync_statusstring · enum · nullableOptionalDefault: nullPossible values:
post/api/v1/column/{column_id}/reset/
POST /api/v1/column/{column_id}/reset/ HTTP/1.1
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "table_id": "123e4567-e89b-12d3-a456-426614174000",
  "generator_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "idx": 1,
  "dtype": "text",
  "col_dtype": "categorical",
  "sql_type": "text",
  "unique": true,
  "nullable": true,
  "autoincrement": true,
  "pii_scan": true,
  "has_pii": true,
  "has_unprotected_pii": true,
  "min_value": "text",
  "max_value": "text",
  "pii": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "column_id": "123e4567-e89b-12d3-a456-426614174000",
      "pii_type": "text",
      "confidence_score": 1,
      "scan_type": "text",
      "explanation": {},
      "generation_method": "text"
    }
  ],
  "cardinality_threshold": 1,
  "rare_category_replacement": "text",
  "clip_threshold": 1,
  "locale": "text",
  "pii_mock_replace": true,
  "pii_deselected_entities": [
    "text"
  ],
  "generator_config": {
    "name": "text",
    "display_name": "AI synthesize",
    "params": {},
    "links": [
      {
        "association": "text",
        "params": {},
        "generator": {}
      }
    ],
    "is_default": false,
    "is_applied": true
  },
  "default_generator_config": {
    "name": "text",
    "display_name": "AI synthesize",
    "params": {},
    "links": [
      {
        "association": "text",
        "params": {},
        "generator": {}
      }
    ],
    "is_default": false,
    "is_applied": true
  },
  "is_rejected": true,
  "is_key": true,
  "is_pk": true,
  "is_fk": true,
  "is_uk": true,
  "is_referred": true,
  "database_exclude_from_write": true,
  "sync_status": "new",
  "sync_diff": [
    "DATA_TYPE_UPDATE"
  ]
}
post

Update column and generator

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
column_idstringRequired
Body
idstring · uuid · nullableOptionalDefault: null
cardinality_thresholdinteger · nullableOptionalDefault: null
rare_category_replacementstring · nullableOptionalDefault: null
clip_thresholdinteger · nullableOptionalDefault: null
localestring · nullableOptionalDefault: null
pii_mock_replaceboolean · nullableOptionalDefault: null
has_piiboolean · nullableOptionalDefault: null
generator_configone of · nullableOptionalDefault: null
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
pii_deselected_entitiesstring[] · nullableOptionalDefault: null
Responses
200Success
application/json
idstring · uuidRequired
table_idstring · uuidRequired
generator_idstring · uuid · nullableOptionalDefault: null
namestringRequired
idxintegerRequired
dtypestringRequired
col_dtypestring · enumRequiredPossible values:
sql_typestringRequired
uniqueboolean · nullableOptionalDefault: null
nullableboolean · nullableOptionalDefault: null
autoincrementboolean · nullableOptionalDefault: null
pii_scanbooleanRequired
has_piiboolean · nullableOptionalDefault: null
has_unprotected_piiboolean · nullableOptionalDefault: null
min_valuestring · nullableOptionalDefault: null
max_valuestring · nullableOptionalDefault: null
cardinality_thresholdinteger · nullableOptionalDefault: null
rare_category_replacementstring · nullableOptionalDefault: null
clip_thresholdinteger · nullableOptionalDefault: null
localestring · nullableOptionalDefault: null
pii_mock_replaceboolean · nullableOptionalDefault: null
pii_deselected_entitiesstring[] · nullableOptionalDefault: null
generator_configone of · nullableOptionalDefault: null
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
default_generator_configone of · nullableOptionalDefault: null
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
is_rejectedboolean · nullableOptionalDefault: null
is_keyboolean · nullableOptionalDefault: null
is_pkboolean · nullableOptionalDefault: null
is_fkboolean · nullableOptionalDefault: null
is_ukboolean · nullableOptionalDefault: null
is_referredboolean · nullableOptionalDefault: null
database_exclude_from_writeboolean · nullableOptionalDefault: null
sync_statusstring · enum · nullableOptionalDefault: nullPossible values:
post/api/v1/column/{column_id}/update_create/
POST /api/v1/column/{column_id}/update_create/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 390

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "cardinality_threshold": 1,
  "rare_category_replacement": "text",
  "clip_threshold": 1,
  "locale": "text",
  "pii_mock_replace": true,
  "has_pii": true,
  "generator_config": {
    "name": "text",
    "display_name": "AI synthesize",
    "params": {},
    "links": [
      {
        "association": "text",
        "params": {},
        "generator": {}
      }
    ],
    "is_default": false,
    "is_applied": true
  },
  "pii_deselected_entities": [
    "text"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "table_id": "123e4567-e89b-12d3-a456-426614174000",
  "generator_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "idx": 1,
  "dtype": "text",
  "col_dtype": "categorical",
  "sql_type": "text",
  "unique": true,
  "nullable": true,
  "autoincrement": true,
  "pii_scan": true,
  "has_pii": true,
  "has_unprotected_pii": true,
  "min_value": "text",
  "max_value": "text",
  "pii": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "column_id": "123e4567-e89b-12d3-a456-426614174000",
      "pii_type": "text",
      "confidence_score": 1,
      "scan_type": "text",
      "explanation": {},
      "generation_method": "text"
    }
  ],
  "cardinality_threshold": 1,
  "rare_category_replacement": "text",
  "clip_threshold": 1,
  "locale": "text",
  "pii_mock_replace": true,
  "pii_deselected_entities": [
    "text"
  ],
  "generator_config": {
    "name": "text",
    "display_name": "AI synthesize",
    "params": {},
    "links": [
      {
        "association": "text",
        "params": {},
        "generator": {}
      }
    ],
    "is_default": false,
    "is_applied": true
  },
  "default_generator_config": {
    "name": "text",
    "display_name": "AI synthesize",
    "params": {},
    "links": [
      {
        "association": "text",
        "params": {},
        "generator": {}
      }
    ],
    "is_default": false,
    "is_applied": true
  },
  "is_rejected": true,
  "is_key": true,
  "is_pk": true,
  "is_fk": true,
  "is_uk": true,
  "is_referred": true,
  "database_exclude_from_write": true,
  "sync_status": "new",
  "sync_diff": [
    "DATA_TYPE_UPDATE"
  ]
}
post

List columns

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Query parameters
elements_per_pageintegerOptional
keywordstringOptional
requested_pageintegerOptional
Body
column_idsstring · uuid[] · nullableOptionalDefault: null
table_idsstring · uuid[] · nullableOptionalDefault: null
not_table_idsstring · uuid[] · nullableOptionalDefault: null
schema_namesstring[] · nullableOptionalDefault: null
column_namesstring[] · nullableOptionalDefault: null
protected_statusstring · enum · nullableOptionalDefault: nullPossible values:
pii_statusstring · enum · nullableOptionalDefault: nullPossible values:
min_confidence_scorenumber · nullableOptionalDefault: null
max_confidence_scorenumber · nullableOptionalDefault: null
sort_descendingboolean · nullableOptionalDefault: false
sort_bystring · enum · nullableOptionalDefault: NAMEPossible values:
Responses
200

Success: List of columns

application/json
n_suggestedinteger · nullableOptionalDefault: null
post/api/v1/column/{database_id}/filter/
POST /api/v1/column/{database_id}/filter/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 492

{
  "column_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "table_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "not_table_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "schema_names": [
    "text"
  ],
  "column_names": [
    "text"
  ],
  "protected_status": "PROTECTED",
  "pii_status": "PII",
  "min_confidence_score": 1,
  "max_confidence_score": 1,
  "sort_descending": false,
  "sort_by": "NAME",
  "schema_entities_included": [
    {
      "schema_name": "text",
      "entity": "table"
    }
  ],
  "schema_entities_excluded": [
    {
      "schema_name": "text",
      "entity": "table"
    }
  ]
}
{
  "columns": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "table_id": "123e4567-e89b-12d3-a456-426614174000",
      "generator_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "idx": 1,
      "dtype": "text",
      "col_dtype": "categorical",
      "sql_type": "text",
      "unique": true,
      "nullable": true,
      "autoincrement": true,
      "pii_scan": true,
      "has_pii": true,
      "has_unprotected_pii": true,
      "min_value": "text",
      "max_value": "text",
      "pii": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "column_id": "123e4567-e89b-12d3-a456-426614174000",
          "pii_type": "text",
          "confidence_score": 1,
          "scan_type": "text",
          "explanation": {},
          "generation_method": "text"
        }
      ],
      "cardinality_threshold": 1,
      "rare_category_replacement": "text",
      "clip_threshold": 1,
      "locale": "text",
      "pii_mock_replace": true,
      "pii_deselected_entities": [
        "text"
      ],
      "generator_config": {
        "name": "text",
        "display_name": "AI synthesize",
        "params": {},
        "links": [
          {
            "association": "text",
            "params": {},
            "generator": {}
          }
        ],
        "is_default": false,
        "is_applied": true
      },
      "default_generator_config": {
        "name": "text",
        "display_name": "AI synthesize",
        "params": {},
        "links": [
          {
            "association": "text",
            "params": {},
            "generator": {}
          }
        ],
        "is_default": false,
        "is_applied": true
      },
      "is_rejected": true,
      "is_key": true,
      "is_pk": true,
      "is_fk": true,
      "is_uk": true,
      "is_referred": true,
      "database_exclude_from_write": true,
      "sync_status": "new",
      "sync_diff": [
        "DATA_TYPE_UPDATE"
      ],
      "table_schema_name": "text",
      "table_name": "text",
      "is_excluded": true,
      "suggested_generators": [
        {
          "generator": {
            "name": "text",
            "display_name": "AI synthesize",
            "params": {},
            "links": [
              {
                "association": "text",
                "params": {},
                "generator": {}
              }
            ],
            "is_default": false,
            "is_applied": true
          },
          "pii": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "column_id": "123e4567-e89b-12d3-a456-426614174000",
            "pii_type": "text",
            "confidence_score": 1,
            "scan_type": "text",
            "explanation": {},
            "generation_method": "text"
          }
        }
      ]
    }
  ],
  "n_suggested": 1,
  "stats": {
    "n_protected": 1,
    "n_unprotected": 1,
    "n_non_pii": 1
  },
  "pagination": {
    "total_elements": 1,
    "total_pages": 1,
    "current_page": 1,
    "returned_elements": 1,
    "is_last_page": true
  }
}
post

Set generator on columns

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Body
column_idsstring · uuid[]Required
Responses
200Success
application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
post/api/v1/column/{database_id}/generator/
POST /api/v1/column/{database_id}/generator/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 462

{
  "column_schema": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "cardinality_threshold": 1,
    "rare_category_replacement": "text",
    "clip_threshold": 1,
    "locale": "text",
    "pii_mock_replace": true,
    "has_pii": true,
    "generator_config": {
      "name": "text",
      "display_name": "AI synthesize",
      "params": {},
      "links": [
        {
          "association": "text",
          "params": {},
          "generator": {}
        }
      ],
      "is_default": false,
      "is_applied": true
    },
    "pii_deselected_entities": [
      "text"
    ]
  },
  "column_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "id": "text",
  "code": "text",
  "title": "text",
  "body": [
    "text"
  ],
  "durability": "temporary",
  "duration": 5000,
  "kind": "info",
  "details": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "payload": null,
  "action": {},
  "display": "notification",
  "created_at": "text"
}
post

Mark column as PII

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Query parameters
has_piibooleanRequired
Body
idsstring · uuid[] · nullableRequired
Responses
200Success
application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
post/api/v1/column/{database_id}/pii/
POST /api/v1/column/{database_id}/pii/?has_pii=true HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "id": "text",
  "code": "text",
  "title": "text",
  "body": [
    "text"
  ],
  "durability": "temporary",
  "duration": 5000,
  "kind": "info",
  "details": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "payload": null,
  "action": {},
  "display": "notification",
  "created_at": "text"
}
post

Batch reset columns

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Body
column_idsstring · uuid[] · min: 1 · max: 20Required
Responses
200Success
application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
post/api/v1/column/{database_id}/reset_columns/
POST /api/v1/column/{database_id}/reset_columns/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "column_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "id": "text",
  "code": "text",
  "title": "text",
  "body": [
    "text"
  ],
  "durability": "temporary",
  "duration": 5000,
  "kind": "info",
  "details": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "payload": null,
  "action": {},
  "display": "notification",
  "created_at": "text"
}
post

Get Column PII Stats

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Query parameters
keywordstringOptional
Body
column_idsstring · uuid[] · nullableOptionalDefault: null
table_idsstring · uuid[] · nullableOptionalDefault: null
not_table_idsstring · uuid[] · nullableOptionalDefault: null
schema_namesstring[] · nullableOptionalDefault: null
column_namesstring[] · nullableOptionalDefault: null
protected_statusstring · enum · nullableOptionalDefault: nullPossible values:
pii_statusstring · enum · nullableOptionalDefault: nullPossible values:
min_confidence_scorenumber · nullableOptionalDefault: null
max_confidence_scorenumber · nullableOptionalDefault: null
sort_descendingboolean · nullableOptionalDefault: false
sort_bystring · enum · nullableOptionalDefault: NAMEPossible values:
Responses
200

Success: Column PII Stats

application/json
n_protectedinteger · nullableOptionalDefault: null
n_unprotectedinteger · nullableOptionalDefault: null
n_non_piiinteger · nullableOptionalDefault: null
post/api/v1/column/{database_id}/stats/
POST /api/v1/column/{database_id}/stats/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 492

{
  "column_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "table_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "not_table_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "schema_names": [
    "text"
  ],
  "column_names": [
    "text"
  ],
  "protected_status": "PROTECTED",
  "pii_status": "PII",
  "min_confidence_score": 1,
  "max_confidence_score": 1,
  "sort_descending": false,
  "sort_by": "NAME",
  "schema_entities_included": [
    {
      "schema_name": "text",
      "entity": "table"
    }
  ],
  "schema_entities_excluded": [
    {
      "schema_name": "text",
      "entity": "table"
    }
  ]
}
{
  "n_protected": 1,
  "n_unprotected": 1,
  "n_non_pii": 1
}
post

Apply or reject suggested generators

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Query parameters
applybooleanRequired
keywordstringOptional
Body
column_idsstring · uuid[] · nullableOptionalDefault: null
table_idsstring · uuid[] · nullableOptionalDefault: null
not_table_idsstring · uuid[] · nullableOptionalDefault: null
schema_namesstring[] · nullableOptionalDefault: null
column_namesstring[] · nullableOptionalDefault: null
protected_statusstring · enum · nullableOptionalDefault: nullPossible values:
pii_statusstring · enum · nullableOptionalDefault: nullPossible values:
min_confidence_scorenumber · nullableOptionalDefault: null
max_confidence_scorenumber · nullableOptionalDefault: null
sort_descendingboolean · nullableOptionalDefault: false
sort_bystring · enum · nullableOptionalDefault: NAMEPossible values:
Responses
200Success
application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
post/api/v1/column/{database_id}/suggested/
POST /api/v1/column/{database_id}/suggested/?apply=true HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 492

{
  "column_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "table_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "not_table_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "schema_names": [
    "text"
  ],
  "column_names": [
    "text"
  ],
  "protected_status": "PROTECTED",
  "pii_status": "PII",
  "min_confidence_score": 1,
  "max_confidence_score": 1,
  "sort_descending": false,
  "sort_by": "NAME",
  "schema_entities_included": [
    {
      "schema_name": "text",
      "entity": "table"
    }
  ],
  "schema_entities_excluded": [
    {
      "schema_name": "text",
      "entity": "table"
    }
  ]
}
{
  "id": "text",
  "code": "text",
  "title": "text",
  "body": [
    "text"
  ],
  "durability": "temporary",
  "duration": 5000,
  "kind": "info",
  "details": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "payload": null,
  "action": {},
  "display": "notification",
  "created_at": "text"
}
post

Get supported generators for columns

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Body
idsstring · uuid[] · nullableRequired
Responses
200Success
application/json
post/api/v1/column/{database_id}/supported_generators/
POST /api/v1/column/{database_id}/supported_generators/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "Mockers": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Mask": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Calculated_column": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Dynamic": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Duplicate": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Exclude": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Hash": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Generate": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {}
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  }
}

Last updated

Was this helpful?